### Method

# Msg Service send_and_parse_response

#### Declaration [src]

    JsonParser*
    msg_service_send_and_parse_response (
      MsgService* self,
      SoupMessage* message,
      JsonObject** object,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

A combination of `msg_service_send_and_read` and `msg_service_parse_response`.

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.

`object`

  Type: `JsonObject`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JsonParser`

A `JsonParser` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.